Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker
Class LocaleMessage

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.example.loanbroker.LocaleMessage

    public class LocaleMessage

extends MessageFactory

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`LocaleMessage()`

Method Summary
`static String` | `enterLoanAmount()`
`static String` | `enterLoanDuration()`
`static String` | `enterName()`
`static String` | `esbWelcome()`
`static String` | `exiting()`
`protected ClassLoader` | `getClassLoader()` Override this method to return the classloader for the bundle/module which contains the needed resource files.
`static String` | `loadingAsync()`
`static String` | `loadingEndpointEjb()`
`static String` | `loadingManagedEjb()`
`static String` | `loadingSync()`
`static String` | `loanAmountError(String amount)`
`static String` | `loanDurationError(String duration)`
`static String` | `loanQuote(String bankName, double interestRate)`
`static String` | `lowestQuote(LoanQuote lowestQuote)`
`static String` | `menu()`
`static String` | `menuError()`
`static String` | `menuErrorNumberOfRequests()`
`static String` | `menuOptionMode()`
`static String` | `menuOptionNumberOfRequests()`
`static String` | `menuOptionSoap()`
`static String` | `processingQuote(LoanQuote quote)`
`static String` | `receivedProfile(String[] params)`
`static String` | `receivedQuote(String[] params)`
`static String` | `receivedRate(LoanQuote quote)`
`static String` | `receivedRequest(String[] params)`
`static String` | `request(int i, Object object)`
`static String` | `requestError()`
`static String` | `requestResponse(Object payload)`
`static String` | `responseAvgRequest(long l)`
`static String` | `responseNumQuotes(int i)`
`static String` | `sentAsync()`
`static String` | `welcome()`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleMessage

    public LocaleMessage()

Method Detail

### receivedRequest

    public static String receivedRequest(String[] params)

### receivedQuote

    public static String receivedQuote(String[] params)

### receivedRate

    public static String receivedRate(LoanQuote quote)

### loanQuote

    public static String loanQuote(String bankName,
                                   double interestRate)

### processingQuote

    public static String processingQuote(LoanQuote quote)

### lowestQuote

    public static String lowestQuote(LoanQuote lowestQuote)

### receivedProfile

    public static String receivedProfile(String[] params)

### responseNumQuotes

    public static String responseNumQuotes(int i)

### responseAvgRequest

    public static String responseAvgRequest(long l)

### requestError

    public static String requestError()

### requestResponse

    public static String requestResponse(Object payload)

### exiting

    public static String exiting()

### menuError

    public static String menuError()

### enterName

    public static String enterName()

### enterLoanAmount

    public static String enterLoanAmount()

### enterLoanDuration

    public static String enterLoanDuration()

### loanDurationError

    public static String loanDurationError(String duration)

### loanAmountError

    public static String loanAmountError(String amount)

### menuOptionNumberOfRequests

    public static String menuOptionNumberOfRequests()

### menuErrorNumberOfRequests

    public static String menuErrorNumberOfRequests()

### request

    public static String request(int i,
                                 Object object)

### esbWelcome

    public static String esbWelcome()

### loadingEndpointEjb

    public static String loadingEndpointEjb()

### loadingManagedEjb

    public static String loadingManagedEjb()

### welcome

    public static String welcome()

### menu

    public static String menu()

### sentAsync

    public static String sentAsync()

### menuOptionSoap

    public static String menuOptionSoap()

### menuOptionMode

    public static String menuOptionMode()

### loadingAsync

    public static String loadingAsync()

### loadingSync

    public static String loadingSync()

### getClassLoader

    protected ClassLoader getClassLoader()

  Description copied from class: `MessageFactory`
  Override this method to return the classloader for the bundle/module which contains the needed resource files.

  Overrides:
    `getClassLoader` in class `MessageFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.